Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.presentation
Class PresentationPropertyUtil

    com.change_vision.jude.api.inf.presentation.PresentationPropertyUtil

    public class PresentationPropertyUtil

This is a utility class for creating the property-related keys for Presentations.

Since:
  6.8.0

Method Summary
`static String` | `createGuardXKey(int index)` Create a key to get or set the X coordinate of a guard condition in a CombinedFragment.
`static String` | `createGuardYKey(int index)` Create a key to get or set the Y coordinate of a guard condition in a CombinedFragment.
`static String` | `createOperandLengthKey(int index)` Create a key to get or set the length of an Operand in a CombinedFragment.
`static String` | `createStereotypeXKey(int index)` Create a key to get or set the X coordinate of a stereotype in an Association.
`static String` | `createStereotypeYKey(int index)` Create a key to get or set the Y coordinate of a stereotype in an Association.
`static String` | `formatKeyWithIndex(String keyFormat, int index)` Replace an index of a key.

Method Detail

### createGuardXKey

    public static String createGuardXKey(int index)

  Create a key to get or set the X coordinate of a guard condition in a CombinedFragment.

  Parameters:
    `index` - index of a guard condition
  Returns:
    Key to get or set the X coordinate of a guard condition in a CombinedFragment
  Since:
    6.8.0

### createGuardYKey

    public static String createGuardYKey(int index)

  Create a key to get or set the Y coordinate of a guard condition in a CombinedFragment.

  Parameters:
    `index` - index of a guard condition
  Returns:
    Key to get or set the Y coordinate of a guard condition in a CombinedFragment.
  Since:
    6.8.0

### createOperandLengthKey

    public static String createOperandLengthKey(int index)

  Create a key to get or set the length of an Operand in a CombinedFragment.

  Parameters:
    `index` - index of an Operand
  Returns:
    Key to get or set the length of an Operand in a CombinedFragment
  Since:
    6.8.0

### createStereotypeXKey

    public static String createStereotypeXKey(int index)

  Create a key to get or set the X coordinate of a stereotype in an Association.

  Parameters:
    `index` - index of a stereotype
  Returns:
    Key to get or set the X coordinate of a stereotype in an Association
  Since:
    6.8.0

### createStereotypeYKey

    public static String createStereotypeYKey(int index)

  Create a key to get or set the Y coordinate of a stereotype in an Association.

  Parameters:
    `index` - index of a stereotype
  Returns:
    Key to get or set the Y coordinate of a stereotype in an Association.
  Since:
    6.8.0

### formatKeyWithIndex

    public static String formatKeyWithIndex(String keyFormat,
                                            int index)

  Replace an index of a key. This method is same as the following.
  MessageFormat.format(keyFormat, String.valueOf(index));

  Parameters:
    `keyFormat` - key format
    `index` - index number
  Returns:
    Formatted key
  Since:
    6.8.0

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD